## gate.creole
Class ProfilePRs

    java.lang.Object
      |
      +--gate.creole.ProfilePRs

public class ProfilePRs
extends Object

This class provides a main function that:

- initialises the GATE library, and creates all PRs
- takes a directory name as argument
- for each .html file in that directory:
  create a GATE document from the file
  run the PRs on the document
  dump some statistics in the end

Field Summary
`private static int` `docs`
`private static double` `maxDocLength`
`private static gate.util.profile.Profiler` `prof`
`private static double` `totalDocLength`
`private static String` `usage` String to print when wrong command-line args

Constructor Summary
`ProfilePRs()`

Method Summary
`static void` `main(String[] args)` Main function

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### usage

    private static String usage

  String to print when wrong command-line args

### totalDocLength

    private static double totalDocLength

### docs

    private static int docs

### prof

    private static gate.util.profile.Profiler prof

### maxDocLength

    private static double maxDocLength

Constructor Detail

### ProfilePRs

    public ProfilePRs()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Main function